CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Classes | Typedefs
Executing test
Collaboration diagram for Executing test:

## Classes
class | TestPath
| A List of Test representing a path to access a Test.The path can be converted to a string and resolved from a string with toString() and TestPath( Test *root, const std::string &pathAsString ). More...
class | TestRunner
| Generic test runner.The TestRunner assumes ownership of all added tests: you can not add test or suite that are local variable since they can't be deleted. More...
class | MfcTestRunner
| MFC test runner.Use this to launch the MFC TestRunner. Usually called from you CWinApp subclass: More...
class | QtTestRunner
| QT test runner.Here is an example of usage: More...
class | TextTestRunner
| A text mode test runner.The test runner manage the life cycle of the added tests. More...
## Typedefs
typedef CPPUNIT_NS::MfcTestRunner | TestRunner
| MFC test runner (DEPRECATED)

## Typedef Documentation

typedef CPPUNIT_NS::MfcTestRunner TestRunner

MFC test runner (DEPRECATED)

Deprecated:
  Use CppUnit::MfcUi::TestRunner instead.

| hosts this site. |  | Send comments to: CppUnit Developers